For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/authenticate-facial/images

Autentica dos plantillas faciales, obtenidas a partir de dos búferes de imagen.

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

Dos imágenes en bruto, utilizadas para la autenticación.

image1stringObrigatório

Búfer en bruto de imagen en .png, .jpg o .bmp, codificado en base64.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
image2stringObrigatório

Búfer en bruto de imagen en .png, .jpg o .bmp, codificado en base64.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
Respostas
200

Resultado de la autenticación facial.

application/json

El resultado de una operación de autenticación. extractionQuery y extractionTarget solo se añadirán si options:longDetail=true.

authStatusstring · enumOpcional

Posibles resultados de una operación de autenticación.

Example: PositiveValores possíveis:
similaritynumberOpcional

Similitud entre dos plantillas faciales (0-Ninguna, 1-Idéntica).

Example: 0.994729161
validTimeStampbooleanOpcional

En las operaciones de autenticación, prueba de vida y extracción que implican templateRaws, indica si el tiempo de vida de la plantilla es válido. Véase "options:elapsedAllowedSeconds". En las operaciones que no implican plantillas en bruto, siempre será true.

Example: true
tokenTimeStampstringOpcional

El valor interno de fecha y hora del token en formato "%Y-%m-%dT%H:%M:%SZ".

Example: 2022-01-14T10:42:05.521922Z
trackingStatusnumberOpcional

Estado devuelto por el servicio Api Tracking, o -1 si no se requiere seguimiento.

Example: 201
trackingMessagestringOpcional

Mensaje devuelto por el servicio Api Tracking, o vacío si no se requiere seguimiento.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
sdkDurationnumberOpcional

Duración de la operación en milisegundos.

Example: 1234
post/api/v1/selphid/authenticate-facial/images
POST /api/v1/selphid/authenticate-facial/images HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 454

{
  "image1": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "image2": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "options": {
    "longDetail": true,
    "elapsedAllowedSeconds": 3600,
    "futureAllowedSeconds": 3600,
    "facialDetection": "Frontal",
    "minFaceAbsPx": 35,
    "minFaceRel": 0.04,
    "minIodPx": 35,
    "maxPoseDegrees": 30,
    "minFacialQuality": "Good",
    "analyticsDetection": true,
    "templateRawExtraction": true,
    "falseDetectRate": 0.02,
    "maxCantidates": 5,
    "minSimilarity": 0.7,
    "authThreshold": 60,
    "livenessDepth": "Full"
  }
}
{
  "authStatus": "Positive",
  "similarity": 0.994729161,
  "validTimeStamp": true,
  "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok",
  "sdkDuration": 1234,
  "extractionQuery": {
    "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
    "facialTemplateRaw": "BAEBAQHjF08R/Fbogyt7nysPd/K...",
    "updatedTemplateRaw": true,
    "face": {
      "x": 546,
      "y": 224,
      "width": 200,
      "height": 300
    },
    "leftEye": {
      "x": 546,
      "y": 224
    },
    "rightEye": {
      "x": 546,
      "y": 224
    },
    "chin": {
      "x": 546,
      "y": 224
    },
    "nose": {
      "x": 546,
      "y": 224
    },
    "leftMouth": {
      "x": 546,
      "y": 224
    },
    "rightMouth": {
      "x": 546,
      "y": 224
    },
    "iod": 118,
    "yaw": 2.4,
    "pitch": -4.32,
    "roll": 0.7,
    "glasses": "Eye",
    "age": 45,
    "gender": "Male",
    "mask": 0.89,
    "faceConfidence": 0.99,
    "facialQuality": "Good",
    "validTimeStamp": true,
    "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
    "sdkDuration": 1234
  },
  "extractionTarget": {
    "facialTemplate": "BAEBGgEroySjGz2C9iIki35J/FA...",
    "facialTemplateRaw": "BAEBAQHjF08R/Fbogyt7nysPd/K...",
    "updatedTemplateRaw": true,
    "face": {
      "x": 546,
      "y": 224,
      "width": 200,
      "height": 300
    },
    "leftEye": {
      "x": 546,
      "y": 224
    },
    "rightEye": {
      "x": 546,
      "y": 224
    },
    "chin": {
      "x": 546,
      "y": 224
    },
    "nose": {
      "x": 546,
      "y": 224
    },
    "leftMouth": {
      "x": 546,
      "y": 224
    },
    "rightMouth": {
      "x": 546,
      "y": 224
    },
    "iod": 118,
    "yaw": 2.4,
    "pitch": -4.32,
    "roll": 0.7,
    "glasses": "Eye",
    "age": 45,
    "gender": "Male",
    "mask": 0.89,
    "faceConfidence": 0.99,
    "facialQuality": "Good",
    "validTimeStamp": true,
    "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
    "sdkDuration": 1234
  }
}

Atualizado